/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftsept18
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftsept18` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftsept18`;

/*Table structure for table `festival` */

DROP TABLE IF EXISTS `festival`;

CREATE TABLE `festival` (
  `FestivalID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `DatumOd` date DEFAULT NULL,
  `DatumDo` date DEFAULT NULL,
  `GradID` int(11) DEFAULT NULL,
  PRIMARY KEY (`FestivalID`),
  KEY `GradID` (`GradID`),
  CONSTRAINT `festival_ibfk_1` FOREIGN KEY (`GradID`) REFERENCES `grad` (`GradID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `festival` */

insert  into `festival`(`FestivalID`,`Naziv`,`DatumOd`,`DatumDo`,`GradID`) values (1,'Festival filmskog scenarija Vrnjacka Banja 2018','2018-08-13','2018-08-17',1);

/*Table structure for table `film` */

DROP TABLE IF EXISTS `film`;

CREATE TABLE `film` (
  `FilmID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `Reziser` varchar(255) DEFAULT NULL,
  `Godina` int(11) DEFAULT NULL,
  PRIMARY KEY (`FilmID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `film` */

insert  into `film`(`FilmID`,`Naziv`,`Reziser`,`Godina`) values (1,'Film 1','Dusan Kovacevic',2017),(2,'Film 2','Goran Markovic',2012),(3,'Film 3','Misa Radivojevic',2009),(4,'Film 4','Mladomir Purisa Djordjevic',2000),(5,'Film 5','Ana Antic',2017),(6,'Film 6','Dragan Bjelogrlic',2009),(7,'Film 7','Goran Markovic',2002),(8,'Film 8','Dragana Draganic',2017),(9,'Film 9','Pavle Pavlovic',2011),(10,'Film 10','Aleksandar Djordjevic',2006);

/*Table structure for table `grad` */

DROP TABLE IF EXISTS `grad`;

CREATE TABLE `grad` (
  `GradID` int(11) NOT NULL,
  `Ptt` int(11) DEFAULT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`GradID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `grad` */

insert  into `grad`(`GradID`,`Ptt`,`Naziv`) values (1,36210,'Vrnjacka Banja'),(2,24413,'Palic'),(3,71000,'Sarajevo'),(4,11000,'Beograd'),(5,18000,'Nis'),(6,36000,'Kraljevo');

/*Table structure for table `projekcija` */

DROP TABLE IF EXISTS `projekcija`;

CREATE TABLE `projekcija` (
  `FestivalID` int(11) NOT NULL,
  `ProjekcijaID` int(11) NOT NULL,
  `DatumVremeProjekcije` datetime DEFAULT NULL,
  `FilmID` int(11) DEFAULT NULL,
  PRIMARY KEY (`FestivalID`,`ProjekcijaID`),
  KEY `FilmID` (`FilmID`),
  CONSTRAINT `projekcija_ibfk_1` FOREIGN KEY (`FestivalID`) REFERENCES `festival` (`FestivalID`),
  CONSTRAINT `projekcija_ibfk_2` FOREIGN KEY (`FilmID`) REFERENCES `film` (`FilmID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `projekcija` */

insert  into `projekcija`(`FestivalID`,`ProjekcijaID`,`DatumVremeProjekcije`,`FilmID`) values (1,1,'2018-08-13 21:00:00',2),(1,2,'2018-08-13 20:00:00',3);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
